[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# Dirent

Record used in the fpReadDir function to return files in a directory.

## Declaration

Source position: ostypes.inc line 94

`type Dirent = record`
`d_fileno: ino64_t;` |  | Inode number of file
`d_off: off_t;` |  | Offset in directory.
`d_reclen: cushort;` |  | Record length
`d_type: cuchar;` |  | Entry type
`d_name: array [0..(255+1)-1] of Char;` |  | Name of file
`end;`

Documentation generated on: Feb 26 2014